Bug 573741 - Review Request: RBTools - Tools for interacting with ReviewBoard
Summary: Review Request: RBTools - Tools for interacting with ReviewBoard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-15 17:07 UTC by Stephen Gallagher
Modified: 2010-08-13 21:15 UTC (History)
3 users (show)

Fixed In Version: RBTools-0.2-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-24 16:19:36 UTC
jhrozek: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Stephen Gallagher 2010-03-15 17:07:21 UTC
Spec URL: http://fedorapeople.org/~sgallagh/packagereview/RBTools.spec
SRPM URL: http://fedorapeople.org/~sgallagh/packagereview/RBTools-0.2-1.rc1.fc12.src.rpm
Description:
RBTools provides client tools for interacting with a ReviewBoard
code-review server.


Successful Koji dist-f13 build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2054066

Comment 1 Stephen Gallagher 2010-03-22 12:33:45 UTC
This ticket was taken for review a week ago. Please let me know if you are not going to be able to perform the review and I will find someone else to do it.

Comment 2 Nick Bebout 2010-03-29 15:29:57 UTC
I apologize, I had forgotten about this, I will try to get it done soon, but if you are able to find someone who can do it quicker, feel free.

Comment 3 Stephen Gallagher 2010-04-05 13:34:15 UTC
I have a new version of this review spec available:

Spec URL: http://fedorapeople.org/~sgallagh/packagereview/RBTools.spec
SRPM URL:
http://fedorapeople.org/~sgallagh/packagereview/RBTools-0.2-2.rc1.fc12.src.rpm

Successful Koji rawhide build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2095256

Changes in this version:
Removed git-patchset patch, as it has not been accepted upstream
Added two additional bugfixes from upstream

Comment 4 Jakub Hrozek 2010-04-06 12:02:52 UTC
Summary:
python-setuptools must be added as runtime requires, as the post-review script imports from pkg_resources.

The other review items look good to me and the package seems to be functioning as expected.

Detailed review:
* MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint on the SRPM and the resulting noarch binary RPM:
2 packages and 0 specfiles checked; 0 errors, 0 warnings

* MUST: The package must be named according to the Package Naming Guidelines .
* MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK, the tarball name matches the package name

* MUST: The package must meet the Packaging Guidelines .
* MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
* MUST: The License field in the package spec file must match the actual license.
MIT license, license in spec matches the tarball -> OK

* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for th
It does not, no licence text included -> OK

* MUST: The spec file must be written in American English. 
* MUST: The spec file for the package MUST be legible.
OK

* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.
OK - 1cdd4bba5365a8738cd26d5cba0c992f

* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7] 
OK, see the link for the koji scratch build Stephen provided in Comment  #3

* MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines
OK

* MUST: Packages must NOT bundle copies of system libraries.
OK

* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does creat
OK

* MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
OK

* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
OK

* MUST: Each package must consistently use macros.
OK

* MUST: The package must contain code, or permissable content.
OK, contains only upstream code + patches

* MUST: If a package includes something as %doc, it must not affect the runtime of the application.
OK

The other review checklist items are not applicable for this particular package as it contains no header files, do libraries etc.

* SHOULD: your package should contain man pages for binaries/scripts.
It would be nice to have one, but the --help output is enough to start using post-review.

Comment 6 Jakub Hrozek 2010-04-06 15:11:51 UTC
Thank you, APPROVED

Comment 7 Stephen Gallagher 2010-04-06 15:16:19 UTC
New Package CVS Request
=======================
Package Name: RBTools
Short Description: Tools for interacting with ReviewBoard
Owners: sgallagh
Branches: F-12 F-13 EL-5
InitialCC:

Comment 8 Kevin Fenzi 2010-04-08 02:40:59 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-04-08 20:02:27 UTC
RBTools-0.2-3.rc1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/RBTools-0.2-3.rc1.fc13

Comment 10 Fedora Update System 2010-04-08 20:02:51 UTC
RBTools-0.2-3.rc1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/RBTools-0.2-3.rc1.fc12

Comment 11 Fedora Update System 2010-04-09 04:09:18 UTC
RBTools-0.2-3.rc1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update RBTools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/RBTools-0.2-3.rc1.fc13

Comment 12 Fedora Update System 2010-04-10 10:33:44 UTC
RBTools-0.2-3.rc1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update RBTools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/RBTools-0.2-3.rc1.fc12

Comment 13 Fedora Update System 2010-05-26 21:51:15 UTC
RBTools-0.2-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update RBTools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/RBTools-0.2-5.fc13

Comment 14 Fedora Update System 2010-06-24 16:19:30 UTC
RBTools-0.2-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-08-13 21:15:37 UTC
RBTools-0.2-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.